/****************************************************************************************


		MCPublicGCTypes.h

		Graphic Context (public) types.

		Copyright: (c) 2001 Eovia Corp. All rights reserved.


		Author:	EricB
		Date:	12/14/97

		Revision History

		when		who			what & why
		==========	==========	======================================================
		10/27/99	Yann		Removed some warnings for MacOS
		7/9/99		Ian			Added kAlphaPenOnly.

*****************************************************************************************/

#ifndef __MCPublicGCTypes__
#define __MCPublicGCTypes__

#include "MCBasicTypes.h"


//typedef void*  SystemGCPtr;
typedef struct MCOpaqueDeviceContext* 	SystemGCPtr;				//Mac: CGrafPtr, Win: HDC


typedef int32  MCXYPos;
typedef uint32 MCPenSize;

enum MCPenType
{
	kSolidPen,
	kDashPen,
	kDotPen,
	kAlphaOnlyPen
};

enum MCPenMode
{
	kNotXor		= 3,
	kCopyPen	= 4,
	kBicPen		= 5
};

#endif