/****************************************************************************************************

		MCCursorTypes.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	10/15/2004

****************************************************************************************************/

#ifndef __MCCursorTypes__
#define __MCCursorTypes__

#if CP_PRAGMA_ONCE
#pragma once
#endif



enum
{
	kCursorResourceType = 'CURS'
};


//	Animated cursor types to be passed into StartAnimatedCursor().
enum EAnimatedType
{
	kAnimatedWatches,
	kAnimatedArrows
};

enum EMCursorID
{
//	CURSOR IDs (NOT Resource Related) --------------------------------------------
	kCursor_None			= 0,		//	Used internally, listed here as a reminder not to use it.
	kCursor_Arrow			= kUInt32Minus1,
	kCursor_IBeam			= 1,
	kCursor_Cross			= 2,
	kCursor_Plus			= 3,
	kCursor_Wait			= 4,
	kCursor_LastStandard	= kCursor_Wait,

//	CURSOR IDs (Resource Related) --------------------------------------------
	kCursor_FirstWatch		= 10000,	//	'CURS' first animated watch cursor.
	kCursor_LastWatch		= 10007,	//	'CURS' last animated watch cursor.

	kCursor_FirstArrow		= 10008,	//	'CURS' first animated arrow cursor.
	kCursor_LastArrow		= 10015		//	'CURS' last animated arrow cursor.

};


#endif
