/****************************************************************************************

		Tweener.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	06/21/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		07/22/99	Mael		include .rsrc on MAC

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "SpatialForceDef.h"
#include "interfaceids.h"

#ifndef qUsingResourceLinker
include "SpatialForce.rsr";
#endif

//Spatial Force

resource 'GUID' (R_SpatialForce)
{
	{
	R_IID_I3DExDataComponent,
	R_CLSID_SpatialForce
	}
};

resource 'COMP' (R_SpatialForce)
{
	'data',
	'Sdfo',
	"Spatial Force",	
	"Forces",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'PMap' (R_SpatialForce)
{
	{
	'stre','re32',interpolate,"Strength","",
	'deca','re32',interpolate,"Softness","",
	}
};

resource 'data' (R_SpatialForce)
{
	{
	'help',
	}
};
